# epenser-maze

À l’occasion du 1<sup>er</sup> avril 2017, le vulgarisateur français [e-penser](https://www.youtube.com/user/epenser1) a posté sur YouTube un réseau de vidéos interconnectées à la manière d’un labyrinthe. À chaque vidéo, le vidéaste nous laisse le choix d’en visionner deux autres, et nous met au défi de toutes les regarder pour parvenir à trouver une vidéo mystérieuse.

Ce dépôt contient le code utilisé pour générer [un graphe de dépendances de chaque vidéo vers celles liées](https://matteodelabre.github.io/epenser-maze), permettant d’accéder directement à la vidéo mystérieuse.

## Technologies

* [Javascript (ES6)](https://fr.wikipedia.org/wiki/JavaScript) : langage de programmation interprété.
* [Node.JS](https://fr.wikipedia.org/wiki/Node.js) : environnement d’exécution de JavaScript.
* [Graphviz](http://www.graphviz.org/) : outil pour visionner et générer des représentations des graphes.

## Générer le graphe

Pour générer le graphe par vous-mêmes, vous devez au préalable avoir installé Node.JS et Graphviz. Ensuite, lancez les commandes suivantes dans un terminal :

```
git clone https://github.com/matteodelabre/epenser-maze.git
cd epenser-maze
npm install
node ./src
dot maze.dot -Tsvg -o maze.svg
```

## Licence

Publié sous la licence CC0. Dans la mesure permise par la loi, je renonce à tout droit d’auteur ou droit voisin sur ce logiciel. [Voir la licence complète.](http://creativecommons.org/publicdomain/zero/1.0/)
